> ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Import Tests/Jobs > Import a set of tests and/or jobs ## OpenAPI ````json POST /api/v1/Authoring/projects/{projectId}/import { "openapi": "3.0.4", "info": { "title": "Validatar API Documentation", "description": "# Overview\nThe Validatar Core website provides [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) API access to the back-end functionality included in Validatar. This documentation provides the ability to call the API endpoints directly, provided a user is authorized to do so. If you do not currently have the Validatar app, visit the [Validatar home page](https://www.validatar.com/) to see details. If you are looking for the application documentation, visit the [Validatar application documentation page](https://docs.validatar.com/docs).\n\n\n\n# Scopes\n| Scope | Description |\n|----------------|-------------|\n| Authoring | The endpoints in Authoring provide configuration and creation operations. This includes operations such as creating folders or updating tests. |\n| Data Steward | The endpoints in Data Steward allow technical, custom, and lineage metadata ingestion at the data source, schema, table, and column levels. |\n| Execution | The endpoints in Execution allow executing standard/template tests or jobs. |\n| Catalog | The endpoints in Catalog allow retrieving technical, custom, and lineage metadata information at the data source, schema, table, and column levels. |\n| Reporting | The endpoints in Reporting allow retrieving a list of reports and executing reports. |\n| Security Admin | The endpoints in Security Admin allow configuring user groups and managing user permissions. |\n\n", "version": "v1" }, "servers": [ { "url": "https://training.cloud.validatar.com/core" } ], "tags": [ { "name": "Authoring" }, { "name": "Catalog" }, { "name": "Data Steward" }, { "name": "Execution" }, { "name": "Reporting" }, { "name": "Security Admin" } ], "paths": { "/api/v1/Authoring/projects/{projectId}/import": { "post": { "tags": [ "Authoring" ], "summary": "Import Tests/Jobs", "description": "Import a set of tests and/or jobs", "parameters": [ { "name": "projectId", "in": "path", "description": "Id of the project to be imported into", "required": true, "schema": { "type": "integer", "format": "int32" } } ], "requestBody": { "description": "Information about the objects being imported", "content": { "application/json-patch+json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ProjectImportRequest" } }, "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ProjectImportRequest" } }, "text/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ProjectImportRequest" } }, "application/*+json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ProjectImportRequest" } } } }, "responses": { "200": { "description": "OK" }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ProjectImportErrorResult" } } } }, "403": { "description": "Forbidden" } }, "security": [ {} ] } } }, "components": { "schemas": { "Configuration.Api.Models.v1.ProjectImportRequest": { "title": "ProjectImportRequest", "required": [ "contentBase64", "mimeType" ], "type": "object", "properties": { "mimeType": { "minLength": 1, "type": "string", "description": "Mime type of the import file" }, "contentBase64": { "minLength": 1, "type": "string", "description": "Content of the import file formatted as a Base64 string" }, "targetTestFolderId": { "type": "integer", "description": "Target folder ID for the tests being imported", "format": "int32", "nullable": true }, "targetJobFolderId": { "type": "integer", "description": "Target folder ID for the jobs being imported", "format": "int32", "nullable": true }, "dataSourceMappings": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataSourceMapping" }, "description": "List of mappings between the source and target data sources" }, "includeJobSchedules": { "type": "boolean", "description": "Whether job schedules should be included when processing job import" }, "conflictResolution": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ImportConflictResolutionType" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.ProjectImportErrorResult": { "title": "ProjectImportErrorResult", "type": "object", "properties": { "validationErrors": { "type": "array", "items": { "type": "string" }, "description": "List of validation errors that occurred during the import attempt" }, "invalidDataSources": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.InvalidDataSourceMapping" }, "description": "List of data sources that could not be successfully mapped during the import attempt" }, "invalidMacros": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.InvalidMacro" }, "description": "List of invalid macros" }, "missingReferences": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.MissingReference" }, "description": "List of missing references" }, "missingProfileDefs": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.MissingProfileDef" }, "description": "List of missing profile definitions" }, "missingMetaObjects": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.MissingMetaObject" }, "description": "List of missing metadata objects" }, "missingCustomFields": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.MissingCustomField" }, "description": "List of missing custom fields" }, "commitErrors": { "type": "array", "items": { "type": "string" }, "description": "List of commit errors" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.DataSourceMapping": { "title": "DataSourceMapping", "type": "object", "properties": { "sourceFileKey": { "type": "string", "description": "Data source key from the import file" }, "targetId": { "type": "integer", "description": "Target data source ID", "format": "int32" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.ImportConflictResolutionType": { "title": "ImportConflictResolutionType", "enum": [ "Overwrite", "Rename", "Skip" ], "type": "string" }, "Configuration.Api.Models.v1.InvalidDataSourceMapping": { "title": "InvalidDataSourceMapping", "type": "object", "properties": { "sourceName": { "type": "string", "description": "Name of the data source from the import file", "nullable": true }, "targetName": { "type": "string", "description": "Name of the invalid target data source", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.InvalidMacro": { "title": "InvalidMacro", "type": "object", "properties": { "macroName": { "type": "string", "description": "Name of the macro", "nullable": true }, "referenceKey": { "type": "string", "description": "Reference key of the macro", "nullable": true }, "errorMessage": { "type": "string", "description": "Error message caused by the macro", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.MissingReference": { "title": "MissingReference", "type": "object", "properties": { "jobName": { "type": "string", "description": "Name of the job", "nullable": true }, "objectName": { "type": "string", "description": "Name of the object being referenced", "nullable": true }, "objectContext": { "type": "string", "description": "Context of the object being referenced", "nullable": true }, "objectType": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.JobStepType" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.MissingProfileDef": { "title": "MissingProfileDef", "type": "object", "properties": { "dataSource": { "type": "string", "description": "Name of the data source with a missing profile definition", "nullable": true }, "profileSet": { "type": "string", "description": "Name of the profile set with a missing profile definition", "nullable": true }, "profileDef": { "type": "string", "description": "Name of the missing profile definition", "nullable": true }, "job": { "type": "string", "description": "Name of the job with a missing profile definition", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.MissingMetaObject": { "title": "MissingMetaObject", "type": "object", "properties": { "dataSource": { "type": "string", "description": "Name of the missing metadata object's data source", "nullable": true }, "schema": { "type": "string", "description": "Name of the missing metadata object's schema", "nullable": true }, "table": { "type": "string", "description": "Name of the missing metadata object (if table) or its table (if column)", "nullable": true }, "column": { "type": "string", "description": "Name of the missing metadata object (if column)", "nullable": true }, "test": { "type": "string", "description": "Name of the test with a missing meta object", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.MissingCustomField": { "title": "MissingCustomField", "type": "object", "properties": { "referenceKey": { "type": "string", "description": "Reference Key of the missing custom field", "nullable": true }, "level": { "type": "string", "description": "Level of the missing custom field", "nullable": true }, "object": { "type": "string", "description": "Name of the object missing the custom field", "nullable": true }, "dataType": { "type": "string", "description": "Data Type of the missing custom field", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.JobStepType": { "title": "JobStepType", "enum": [ "Test", "Job", "DataProfileSet", "Folder" ], "type": "string" } } } } ````